CarGurus
CarGurus: Search
Search from CarGurus. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
cargurus
/
search
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/cargurus/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/cargurus/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/cargurus/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/cargurus/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/cargurus/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/cargurus/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/cargurus/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/cargurus/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "cargurus.search",
"params": {
"make_model_trim_paths": "m26/d126",
"distance": "50000",
"sort": "best_match"
},
"response": {
"success": true,
"data": {
"listings": [
{
"listing_id": 461955634,
"listing_title": "1994 GMC Suburban",
"listing_url": "https://www.cargurus.com/details/461955634",
"vin": "1GKFK16K4RJ704247",
"stock_number": "CT1314A",
"year": 1994,
"make": "GMC",
"make_id": "m26",
"model": "Suburban",
"model_id": "d126",
"trim": "K1500 4WD",
"body_type": "SUV / Crossover",
"body_type_group_id": "bg7",
"entity_id": "t5758",
"price": {
"amount": 5000,
"currency": "USD",
"localized": "$5,000",
"rating": "NA",
"fees_compliant": true
},
"mileage": {
"value": 303817,
"unit": "MILES",
"localized": "303,817"
},
"engine": "190 hp 5.7L V8",
"power": 190,
"transmission": "4-Speed Automatic",
"drivetrain": "Four-Wheel Drive",
"fuel_type": "Gasoline",
"doors": "4 doors",
"days_on_market": 5,
"distance": 1064.2104,
"images": {
"primary_url": "https://static.cargurus.com/images/forsale/2026/10/23/06/01/1994_gmc_suburban-pic-6602116930877025209-1024x768.jpeg"
},
"seller": {
"seller_id": 2310902,
"service_provider_id": "61896",
"name": "Max Chrysler Dodge Jeep Ram Clinton",
"city": "Clinton",
"region": "MO",
"postal_code": "64735",
"location": "Clinton, MO",
"logo_url": "https://static.cargurus.com/images/site/2023/12/18/10/18/max_chrysler_dodge_jeep_ram_clinton-pic-14563527118277979221-200x200.jpeg",
"phone": "+1 660-638-5806"
},
"is_new": false,
"is_cpo": false,
"seller_type": "DEALER"
},
{
"listing_id": 461194930,
"listing_title": "1996 GMC Suburban",
"listing_url": "https://www.cargurus.com/details/461194930",
"vin": "3GKFK16R5TG503480",
"stock_number": "857",
"year": 1996,
"make": "GMC",
"make_id": "m26",
"model": "Suburban",
"model_id": "d126",
"trim": "K1500 4WD",
"body_type": "SUV / Crossover",
"body_type_group_id": "bg7",
"entity_id": "t5647",
"price": {
"amount": 7995,
"currency": "USD",
"localized": "$7,995",
"rating": "NA",
"fees_compliant": true
},
"mileage": {
"value": 175456,
"unit": "MILES",
"localized": "175,456"
},
"engine": "250 hp 5.7L V8",
"power": 250,
"transmission": "Automatic",
"drivetrain": "Four-Wheel Drive",
"fuel_type": "Gasoline",
"exterior_color": "Green",
"interior_color": "Gray",
"doors": "4 doors",
"days_on_market": 14,
"distance": 537.75244,
"images": {
"primary_url": "https://static.cargurus.com/images/forsale/2026/10/14/06/42/1996_gmc_suburban-pic-7257782627014823156-1024x768.jpeg",
"count": 18
},
"seller": {
"seller_id": 1654202,
"service_provider_id": "349337",
"name": "Little Rock Auto Sales",
"city": "Charlotte",
"region": "NC",
"postal_code": "28214",
"location": "Charlotte, NC",
"phone": "+1 980-243-4720"
},
"is_new": false,
"is_cpo": false,
"seller_type": "DEALER"
},
{
"listing_id": 457265465,
"listing_title": "1993 GMC Suburban",
"listing_url": "https://www.cargurus.com/details/457265465",
"vin": "1GKGK26N8PJ702664",
"stock_number": "702664",
"year": 1993,
"make": "GMC",
"make_id": "m26",
"model": "Suburban",
"model_id": "d126",
"trim": "K2500 4WD",
"body_type": "SUV / Crossover",
"body_type_group_id": "bg7",
"entity_id": "t5818",
"price": {
"amount": 14995,
"currency": "USD",
"localized": "$14,995",
"rating": "NA",
"fees_compliant": true
},
"mileage": {
"value": 100474,
"unit": "MILES",
"localized": "100,474"
},
"engine": "7.4L V8",
"transmission": "Automatic",
"drivetrain": "Four-Wheel Drive",
"fuel_type": "Gasoline",
"exterior_color": "Black",
"interior_color": "Gray",
"doors": "4 doors",
"days_on_market": 57,
"distance": 738.74396,
"images": {
"primary_url": "https://static.cargurus.com/images/forsale/2026/08/27/08/02/1993_gmc_suburban-pic-7103800788573285849-1024x768.jpeg",
"count": 19
},
"features": [
"Steel Wheels"
],
"seller": {
"seller_id": 349130,
"service_provider_id": "328451",
"name": "Salem Autosports",
"city": "Trevor",
"region": "WI",
"postal_code": "53179",
"location": "Trevor, WI",
"logo_url": "https://static.cargurus.com/images/site/2016/03/17/12/26/salem_autosports-pic-2747075027846594839-200x200.jpeg",
"phone": "+1 262-747-0782"
},
"is_new": false,
"is_cpo": false,
"seller_type": "DEALER"
}
],
"pagination": {
"page": 1,
"page_size": 21,
"page_count": 1,
"total": 21,
"has_more": false
}
},
"meta": {
"duration_ms": 1556,
"endpoint_family": "search",
"market": "US"
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the CarGurus API overview for every CarGurus endpoint.
Authorizations
Query Parameters
Maximum string length:
200Available options:
best_match, deal_score, price, mileage, distance, date Available options:
asc, desc Was this page helpful?
⌘I
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/cargurus/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/cargurus/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/cargurus/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/cargurus/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/cargurus/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/cargurus/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/cargurus/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/cargurus/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "cargurus.search",
"params": {
"make_model_trim_paths": "m26/d126",
"distance": "50000",
"sort": "best_match"
},
"response": {
"success": true,
"data": {
"listings": [
{
"listing_id": 461955634,
"listing_title": "1994 GMC Suburban",
"listing_url": "https://www.cargurus.com/details/461955634",
"vin": "1GKFK16K4RJ704247",
"stock_number": "CT1314A",
"year": 1994,
"make": "GMC",
"make_id": "m26",
"model": "Suburban",
"model_id": "d126",
"trim": "K1500 4WD",
"body_type": "SUV / Crossover",
"body_type_group_id": "bg7",
"entity_id": "t5758",
"price": {
"amount": 5000,
"currency": "USD",
"localized": "$5,000",
"rating": "NA",
"fees_compliant": true
},
"mileage": {
"value": 303817,
"unit": "MILES",
"localized": "303,817"
},
"engine": "190 hp 5.7L V8",
"power": 190,
"transmission": "4-Speed Automatic",
"drivetrain": "Four-Wheel Drive",
"fuel_type": "Gasoline",
"doors": "4 doors",
"days_on_market": 5,
"distance": 1064.2104,
"images": {
"primary_url": "https://static.cargurus.com/images/forsale/2026/10/23/06/01/1994_gmc_suburban-pic-6602116930877025209-1024x768.jpeg"
},
"seller": {
"seller_id": 2310902,
"service_provider_id": "61896",
"name": "Max Chrysler Dodge Jeep Ram Clinton",
"city": "Clinton",
"region": "MO",
"postal_code": "64735",
"location": "Clinton, MO",
"logo_url": "https://static.cargurus.com/images/site/2023/12/18/10/18/max_chrysler_dodge_jeep_ram_clinton-pic-14563527118277979221-200x200.jpeg",
"phone": "+1 660-638-5806"
},
"is_new": false,
"is_cpo": false,
"seller_type": "DEALER"
},
{
"listing_id": 461194930,
"listing_title": "1996 GMC Suburban",
"listing_url": "https://www.cargurus.com/details/461194930",
"vin": "3GKFK16R5TG503480",
"stock_number": "857",
"year": 1996,
"make": "GMC",
"make_id": "m26",
"model": "Suburban",
"model_id": "d126",
"trim": "K1500 4WD",
"body_type": "SUV / Crossover",
"body_type_group_id": "bg7",
"entity_id": "t5647",
"price": {
"amount": 7995,
"currency": "USD",
"localized": "$7,995",
"rating": "NA",
"fees_compliant": true
},
"mileage": {
"value": 175456,
"unit": "MILES",
"localized": "175,456"
},
"engine": "250 hp 5.7L V8",
"power": 250,
"transmission": "Automatic",
"drivetrain": "Four-Wheel Drive",
"fuel_type": "Gasoline",
"exterior_color": "Green",
"interior_color": "Gray",
"doors": "4 doors",
"days_on_market": 14,
"distance": 537.75244,
"images": {
"primary_url": "https://static.cargurus.com/images/forsale/2026/10/14/06/42/1996_gmc_suburban-pic-7257782627014823156-1024x768.jpeg",
"count": 18
},
"seller": {
"seller_id": 1654202,
"service_provider_id": "349337",
"name": "Little Rock Auto Sales",
"city": "Charlotte",
"region": "NC",
"postal_code": "28214",
"location": "Charlotte, NC",
"phone": "+1 980-243-4720"
},
"is_new": false,
"is_cpo": false,
"seller_type": "DEALER"
},
{
"listing_id": 457265465,
"listing_title": "1993 GMC Suburban",
"listing_url": "https://www.cargurus.com/details/457265465",
"vin": "1GKGK26N8PJ702664",
"stock_number": "702664",
"year": 1993,
"make": "GMC",
"make_id": "m26",
"model": "Suburban",
"model_id": "d126",
"trim": "K2500 4WD",
"body_type": "SUV / Crossover",
"body_type_group_id": "bg7",
"entity_id": "t5818",
"price": {
"amount": 14995,
"currency": "USD",
"localized": "$14,995",
"rating": "NA",
"fees_compliant": true
},
"mileage": {
"value": 100474,
"unit": "MILES",
"localized": "100,474"
},
"engine": "7.4L V8",
"transmission": "Automatic",
"drivetrain": "Four-Wheel Drive",
"fuel_type": "Gasoline",
"exterior_color": "Black",
"interior_color": "Gray",
"doors": "4 doors",
"days_on_market": 57,
"distance": 738.74396,
"images": {
"primary_url": "https://static.cargurus.com/images/forsale/2026/08/27/08/02/1993_gmc_suburban-pic-7103800788573285849-1024x768.jpeg",
"count": 19
},
"features": [
"Steel Wheels"
],
"seller": {
"seller_id": 349130,
"service_provider_id": "328451",
"name": "Salem Autosports",
"city": "Trevor",
"region": "WI",
"postal_code": "53179",
"location": "Trevor, WI",
"logo_url": "https://static.cargurus.com/images/site/2016/03/17/12/26/salem_autosports-pic-2747075027846594839-200x200.jpeg",
"phone": "+1 262-747-0782"
},
"is_new": false,
"is_cpo": false,
"seller_type": "DEALER"
}
],
"pagination": {
"page": 1,
"page_size": 21,
"page_count": 1,
"total": 21,
"has_more": false
}
},
"meta": {
"duration_ms": 1556,
"endpoint_family": "search",
"market": "US"
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}